AlignText(X, [Lefts/Rights/Centers, [First/Last/pcb_crosshair/Average[, Gridless]]])

AlignText(Y, [Tops/Bottoms/Centers, [First/Last/pcb_crosshair/Average[, Gridless]]])

Arguments:

X or Y | Select which axis will move, other is untouched.
Lefts, Rights, Tops, Bottoms, Centers | Pick alignment point within each element. NB: text objects have no Mark.
First, Last, pcb_crosshair, Average | Alignment reference, First=Topmost/Leftmost, Last=Bottommost/Rightmost, Average or pcb_crosshair point \n
Gridless | Do not force results to align to prevailing grid. \n

Defaults are Lefts/Tops, First